%global momorel 4
%global md5sum_src0 f43d9bbb49351ed7e704c8d490bab55a

Name: mod_estraier
Summary: mod_estraier is an apache module that registers web pages processed by the apache and search from them using the node API of Hyper Estraier
Version: 0.3.2
Release: %{momorel}m%{?dist}
%NoSource 0 http://dl.sourceforge.net/sourceforge/modestraier/%{name}-%{version}.tar.gz %{md5sum_src0}
License: GPL
URL: http://modestraier.sourceforge.net/index.ja.html
Group: System Environment/Daemons
BuildRequires: httpd hyperestraier qdbm-devel >= 1.8.75
Requires: qdbm >= 1.8.75
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
mod_estraier is an apache module that registers web pages processed by the apache and search from them using the node API of Hyper Estraier

%prep
%setup -q -n %{name}

%build
%configure --with-apxs=%{_sbindir}/apxs
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/httpd/modules
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier.la
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier_search.la
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier_cache.la

mkdir -p %{buildroot}%{_datadir}/mod_estraier/tmpl
cp tmpl/* %{buildroot}%{_datadir}/mod_estraier/tmpl

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README README.ja TODO doc/recipes.conf
%{_libdir}/httpd/modules/*
%{_datadir}/mod_estraier/tmpl/

%changelog
* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-4m)
- rebuild against qdbm-1.8.75

* Wed Dec  6 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.3.2-3m)
- add tmplete

* Tue Dec  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- add --with-apxs=%%{_sbindir}/apxs to configure

* Tue Dec  5 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.3.2-1m)
- initial commit
